Summary:	Panorama Tools GUI
Name: 		hugin
Version:	2017.0.0
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphics
URL:		http://hugin.sourceforge.net
Source0:	http://downloads.sourceforge.net/hugin/%{name}-%{version}.tar.xz
Patch0:		hugin-2012.0.0-invalid-utf8.patch
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
#--------------------------------------
Requires:	libpano13-tools
Requires:	enblend >= 4.2
Requires:	enfuse >= 4.2
Requires:	perl-Image-ExifTool
Requires:	make
Requires:	autopano-sift-C
Requires:	lib64wxgtkugl3.0_0
Requires:	lib64exiv2_26
#--------------------------------------
BuildRequires:  cmake
BuildRequires: %{_lib}OpenEXR-devel 
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}exiv2-devel
BuildRequires: %{_lib}freeglut-devel
BuildRequires: %{_lib}glew-devel
BuildRequires: %{_lib}ilmbase-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}lensfun-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}pano13-devel >= 2.9.19
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}x11-devel 
BuildRequires: zip 
BuildRequires: vigra-devel >= 1.11.1
BuildRequires: desktop-file-utils
BuildRequires:  wxgtk-devel > 3.0
#---------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	hugin-base < %version
Provides:	hugin-base = %version-%release


%description
Hugin can be used to stitch multiple images together. The resulting image can
span 360 degrees. Another common use is the creation of very high resolution
pictures by combining multiple images.

#german
%description -l de
Mit hugin kann aus mehreren Bildern ein Panoramabild zusammengesetzt werden. 
Prinzipiell kann dieses Panorama 360° Umfang haben. Ein weiterer Nutzen ist 
das Erstellen von hochauflösenden Bildern, die man aus vielen anderen Bildern 
zusammensetzt. 
Hugin verwendet die Panorama Tools als backend um diese hochwertigen Bilder 
zu erstellen.

%prep 
%setup -q -n %{name}-%{version}
%patch0 -p0

%define Werror_cflags %nil

%build
%cmake -DCMAKE_SKIP_RPATH:BOOL=OFF -DENABLE_LAPACK=ON

find . -iname flags.make -exec sed -i 's/\-pthread;/\-pthread\ /' {} \;
find . -iname link.txt -exec sed -i 's/\-pthread;/\-pthread\ /' {} \;

%make

%install
rm -rf %buildroot
%makeinstall_std -C build
%find_lang %name

# Menu icons
install -m644 %{SOURCE11} -D %buildroot%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %buildroot%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %buildroot%{_liconsdir}/%{name}.png

# menu entry
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/*



%post
%update_desktop_database

%postun 
%clean_desktop_database

%clean 
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS INSTALL_cmake README TODO doc/nona.txt doc/fulla.html src/hugin1/hugin/xrc/data/help_en_EN/LICENCE.manual
%{_bindir}/*
%{_libdir}/hugin/
%{_datadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man?/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-ptoptimizer-script.png
%{_datadir}/mime/packages/hugin.xml
%{_datadir}/pixmaps/hugin.png
%{_datadir}/pixmaps/ptbatcher.png
%{_datadir}/appdata
%{py_platsitedir}/*


%changelog
* Sat Sep 16 2017 bb2 <bb2> - 2017-0.0-3pclos2017
- rebuild new boost

* Tue Sep 12 2017 bb2 <bb2> - 2017.0.0-2pclos2017
- rebuild against updates

* Sat Sep 09 2017 bb2 <bb2> - 2017.0.0-1pclos2017
- new version

* Sun Oct 11 2015 MBantz <martin dot bantz at gmail dot com> 2015.0.0-1pclos2015
- Update to 2015.0.0

